aboutsummaryrefslogtreecommitdiff
path: root/security/clamav-devel/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'security/clamav-devel/pkg-install')
-rw-r--r--security/clamav-devel/pkg-install30
1 files changed, 0 insertions, 30 deletions
diff --git a/security/clamav-devel/pkg-install b/security/clamav-devel/pkg-install
deleted file mode 100644
index 448ffdc1f34a..000000000000
--- a/security/clamav-devel/pkg-install
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-if [ "$2" != "PRE-INSTALL" ]; then
- exit 0
-fi
-
-USER=clamav
-GROUP=clamav
-
-if ! pw groupshow "$GROUP" 2>/dev/null 1>&2; then
- if pw groupadd $GROUP; then
- echo "=> Added group \"$GROUP\"."
- else
- echo "=> Adding group \"$GROUP\" failed..."
- exit 1
- fi
-fi
-
-if ! pw usershow "$USER" 2>/dev/null 1>&2; then
- if pw useradd $USER -g $GROUP -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "Clam Antivirus"; \
- then
- echo "=> Added user \"$USER\"."
- else
- echo "=> Adding user \"$USER\" failed..."
- exit 1
- fi
-fi
-exit 0